package com.test;

import com.sy.trustypay.TrustyPay;
import com.sy.trustypay.util.TrustyPayConfig;
import com.sy.trustypay.util.TrustyPayConstants;
import org.apache.http.client.utils.DateUtils;

import java.io.InputStream;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * @author longshiwei
 * @date 2023/06/06 13:59
 **/
public class RefundTest extends  BaseTest{

    public static void main(String[] args) throws Exception {

        TrustyPay trustyPay =new TrustyPay(getConfig());
        Map<String, String> reqMap = new HashMap<>();
        reqMap.put("tradeNo", "test20230605072757");// unifiedorder order tradeNo
        reqMap.put("refundNo", "test-refund"+DateUtils.formatDate(new Date(),"yyyyMMddHHmmss"));//
        Map<String, String> resMap = trustyPay.refund(reqMap);
        System.out.println(resMap);
    }
}
