package com.test;


import com.sy.trustypay.TrustyPay;
import org.apache.http.client.utils.DateUtils;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * @author longshiwei
 * @date 2022/04/22 12:23
 **/
public class UnifiedOrderTest extends  BaseTest{

    // 1. build config bean
    // @Bean
//    public TrustyPayConfig trustyPayConfig(){
//        return  new TrustyPayConfig() { .....}
//    }
//    }

    // 2. use config bean
    //  @Autowired
    //  private TrustyPayConfig trustyPayConfig

    public static void main(String[] args) throws Exception {

        TrustyPay trustyPay = new TrustyPay(getConfig());
        Map<String, String> reqMap = new HashMap<>();
        reqMap.put("attach", "Ipadmini256G");//Required : false, attach data: merchants can define the data by self.
        reqMap.put("body", "Ipadmini256G"); // Required : true ,Payment Instructions，goods
        reqMap.put("detail", "xxx"); //Required : false, payment description
        reqMap.put("notifyUrl", "http://www.google.com/"); //Required : false, Specifies the callback address for receivingTrusty payment notifications
        reqMap.put("frontendUrl", "xx-app://paymentresult"); //Required : false, App back to result page
        reqMap.put("tradeNo", "test"+DateUtils.formatDate(new Date(),"yyyyMMddHHmmss"));// Required : true,The unique  No. of the payment transaction which is provided by merchant.
        reqMap.put("deviceInfo", "P3288888882343");//Required : false,Device No.[Define by the merchant,example: the store NO.
        reqMap.put("spbillCreateIp", "127.0.0.1");// Required : false, IP address of terminal
        reqMap.put("timeExpire", "60");// Required : false, Expiration time of payment，default 30min
        reqMap.put("totalAmount", "20000");//For example:  1 MMK Format：100
        reqMap.put("tradeType", "APP");//  Required : false, JSAPI, NATIVE, APP
        reqMap.put("trnCcy", "MMK");// Currency
        reqMap.put("version", "1.0"); // Required : false,  Fixed value: 1.0

        // 3. call unifiedorder , and check response sign
        Map<String, String> resMap = trustyPay.unifiedorder(reqMap);

        // get response data


    }
}
